/* vim:set ts=2 sw=2 sts=2 et: */
/**
 * \author     Marcus Holland-Moritz (github@mhxnet.de)
 * \copyright  Copyright (c) Marcus Holland-Moritz
 *
 * This file is part of dwarfs.
 *
 * dwarfs is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * dwarfs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with dwarfs.  If not, see <https://www.gnu.org/licenses/>.
 */

#pragma once

#include <set>
#include <string>

#include <dwarfs/gen-cpp2/features_types.h>

namespace dwarfs::internal {

class feature_set {
 public:
  static std::set<std::string> get_supported();
  static std::set<std::string>
  get_unsupported(std::set<std::string> const& wanted_features);

  void add(feature f);

  std::set<std::string> const& get() const { return features_; }

 private:
  std::set<std::string> features_;
};

} // namespace dwarfs::internal
